/* --- MOBILE MENU STYLES --- */
.mm-listitem {
    align-items: center;
}

.mm-listitem:last-child {
    border-color: white !important;    
    padding-bottom: 0 !important;
}

.header__action--promo {
    display: none;   
}

.mm-listitem img {
    height: 24px !important;
    width: 24px !important;
    margin-right: 4.5rem;
}

.mm-listitem__text {
    font-size: 1rem;
    font-weight: 500;
    padding: 0.7rem 1.5rem;
}

.mobile-menu__root.mm-listview > li.mobile-menu__menu-item > a.mm-listitem__text {
    color: #1f2937 !important;    
}

.mm-listitem__text svg {
    margin-right: 4.5rem; 
    color: #1f2937 !important;
}

.mm-listitem--opened>.mm-listitem__btn:after {
    transform: rotate(45deg) !important;    
    transition: transform 0.3s ease;
}

.mm-btn--next:after {
    transform: rotate(225deg) !important;  
    transition: transform 0.3s ease;
    border-color: #6b7280 !important;
    border-width: 2px !important;
}

.mm-btn:after {
    --mm-color-icon: rgba(0, 0, 0, 1) !important;    
}

.mm-listitem:first-child {
    padding-top: 0 !important;    
}

/*.menu-mobile__item:first-child a {*/
/* font-size: 14px;*/
/* font-weight: 700;*/
/* padding-left: 0;*/
/* color: #0E114A !important;*/
/*}*/

.menu-mobile__item a {
    font-size: 13px;
    font-weight: 500;
    padding-left: 1.5rem;
    text-transform: capitalize !important;
    color: #1f2937 !important;
}

.mobile-menu .mobile-menu-user svg {
    width: 32px;
    height: 32px;
}

#mobile_menu_item_title {
    padding: 1rem 1.5rem !important;
    border-bottom: 1px solid #e5e7eb;
    font-size: 17px;
    font-weight: 700;
    color: #0E114A;
}

.mobile-menu-icons-container a:last-of-type {
    display: none;    
}

.mobile-menu .mm-navbar>.mobile-menu-footer {
    padding: 1rem !important;
    background: linear-gradient(45deg, #ef4444, #B76E79);
    justify-content: center !important;
}

.mobile-menu-icons-container a:first-of-type {
    align-items: center;
    justify-content: center;
    gap: 1rem !important; 
    color: white !important;
}

.mobile-menu-icons-container a:first-of-type div {
    display: flex;
    flex-direction: column;
    font-size: 14px;
    line-height: 22px;
}

.mobile-menu-icons-container a:first-of-type div span {
    font-size: 18px;
    font-weight: 700;
    letter-spacing: 0.5px;
    line-height: 22px;
}

.mm-menu--position-right {
    width: 100% !important;  
    padding: 0 1rem;
}

.mm-listitem--opened .mm-btn--next {
    color: #03B0AC !important;
}

.mm-listitem--opened .mm-btn--next img {
    filter: brightness(0) saturate(100%) invert(68%) sepia(53%) saturate(6278%) hue-rotate(142deg) brightness(99%) contrast(98%);
}

:root {
    --mm-size: 100% !important;
    --mm-max-size: 100% !important;
}

.mm-navbar {
    min-height: 65px !important;    
}

.mm-navbar__title {
    justify-content: flex-start !important;    
}

.mm-navbar__title>span {
    color: #0E114A;
    font-weight: 700;
    font-size: 18px;
}

.mm-btn.mm-hidden+.mm-navbar__title:not(:last-child) {
    padding-left: 1.5rem !important;    
}

.mm-btn--close:before {
    height: 7px !important;
    width: 7px !important;
    border-color: #6b7280 !important;
    right: 15px !important;
    border-width: 3px !important;
}

.mm-btn--close:after {
    height: 7px !important;  
    width: 7px !important;
    border-color: #6b7280 !important;
    border-width: 3px !important;
}

.mm-listitem--opened>.mm-listitem__btn:after {
    right: 1.5rem !important;    
}

.mm-listitem--opened>.mm-panel {
    background-color: #f3f4f6 !important;    
}

.mm-listitem--opened>.mm-listitem__btn {
    background-color: #f3f4f6 !important;  
    /*padding-left: 2px!important;*/
    /*border-left: 2px solid #03B0AC!important;*/
}

.mm-panels .mm-listitem__btn:not(.mm-listitem__text) {
    padding-left: 0px;
    right: 32px;
    max-height: 1rem;
}

.menu-mobile__item.mm-listitem--opened > .mm-listitem__text {
    color: #03B0AC !important;
    text-decoration: underline;
}

.menu-mobile__item.mm-listitem--opened > .mm-btn--next {
    border-left: 2px solid #03B0AC !important;
    padding: 6px 30px 6px 10px !important
}

.mm-listitem--vertical>.mm-panel {
    padding: 10px 0 10px 1.5rem !important;    
}

.menu-mobile__item.mm-listitem--opened > .mm-panel--opened .menu-mobile__item.mm-listitem a {
    color: #1f2937 !important;
    padding-left: 1rem;
    font-weight: 500;
    font-size: 14px;
}

#mobile_menu_item_100087347 svg {
    margin-right: 1rem;
    color: #6b7280;
}

#mobile_menu_item_100087347 a {
    padding: 1rem 1.5rem;
    border-bottom: 8px solid #f3f4f6;
    font-size: 17px;
    font-weight: 600;
}

/* --- CART MODAL & DRAWER STYLES --- */

@media (min-width: 576px) {
    .cart-modal .modal-items__table-wrapper {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
    }
}

.last-item-wrapper {
    display: grid;
    gap: 1rem;
    grid-template-columns: 1fr 2fr;
}
.last-item-wrapper-left .modal-items__image {
    width: 100%;
}

.last-item-wrapper-right .modal-items__item-name {
    text-decoration: none;
    color: black;
    font-size: 1.5rem;
    font-weight: 600;
    line-height: 1.2;
    margin-bottom: 1rem;
    display: block;
}

.last-item-wrapper-right .modal-items__options {
    margin-bottom: 1rem;
}

.last-item-wrapper-right .last-item-prices .last-item-price {
    font-size: 1.375rem;
    color: red;
    font-weight: 600;
    margin-right: 1rem;
}

.last-item-wrapper-right .last-item-prices .last-item-old-price {
    font-size: 1rem;
    color: #6c757d;
    text-decoration: line-through;
}

.last-item-wrapper-left .last-item-badge {
    z-index: 1;
    display: flex;
    position: absolute;
    color: white;
    background-color: red;
    border-radius: 5px;
    font-size: .875rem;
    font-weight: 600;
    padding: 3px .65em;
}
.last-item-wrapper-left img {
    border-radius: 5px;
}

.last-item-actions {
    display: flex;
    gap: 1rem;
    margin-top: 1rem;
    flex-wrap: wrap;
}
.last-item-wrapper-right .last-item-actions .last-item-modal-custom {
    padding: 5px 40px;    
}

@media (max-width: 500px) {
    .last-item-wrapper {
        grid-template-columns: 1fr;
    }
    .last-item-wrapper-right .last-item-actions .last-item-modal-custom {
        padding: 5px 20px;    
    }
}

.custom-related-products {
    margin-top: 0 !important;
    border: 0px solid #e9ecef!important;
    padding: 0!important;
}
.cart-drawer-totals__item.cart-drawer-totals__item--shipping {
    display: none;     
}

.cart-drawer-totals {
    padding: 0 !important;     
}
.cart-drawer-totals__item {
    padding: .2rem 0 !important;     
}

.cart-drawer-totals__item.cart-drawer-totals__item--subtotal.cutom-drawer {
    border-top: 1px solid #d0d0d0 !important;
    font-size: 1.2rem !important;
    font-weight: 700 !important;
    padding-top: 1rem !important;     
}
.cart-drawer-totals__item.cart-drawer-totals__item--discount.custom-drawer .cart-drawer-totals__item-value {
    color: red;
}
.cart-drawer__empty-button.btn.btn-outline-primary {
    border: 1px solid #b76e79;
    margin-bottom: 1.5rem;     
}
.cart-drawer__action.cart-drawer__action--back.btn.btn-primary {
    margin-bottom: 0;     
}

.cart-drawer * {
    border: none;     
}
.cart-drawer__actions .btn.btn-primary {
    width: 100%;  
}
@media (max-width: 768px) {
    .cart-drawer__empty {
        padding: 1rem;
    }

    .offcanvas-title {
        margin-top: 0 !important;
    }
    .offcanvas-title h2 {
        margin-bottom: 0 !important;
    }
    .offcanvas-body {
        padding: 0;  
        min-height: 200px;
    }
    .cart-drawer-totals {
        margin-top: 0 !important;     
    }
    .cart-drawer__action.cart-drawer__action--back.btn.btn-primary,
    .cart-drawer__empty-button.btn.btn-outline-primary {
        height: 45px;     
    }
    .cart-drawer-totals__item.cart-drawer-totals__item--subtotal.cutom-drawer {
        font-size: 1rem !important;
        padding-top: .45rem !important;
    }
    .cart-drawer__totals-container .coupon-code__input.form-control,
    .cart-drawer__totals-container .coupon-code__button.btn.btn-outline-primary {
        height: 45px !important;
    }
    .cart-drawer__totals-container .coupon-code__input.form-control+label {
        margin-top: 26px !important;
    }
    .drawer-items__table-wrapper {
        padding: .5rem;     
    }
    
    .offcanvas-content:has(.cart-drawer) {
        overflow: scroll;     
    }
    .offcanvas-bottom, .offcanvas-top {
    height: 100%;
    max-height: 85vh;
    }
}
.offcanvas-header {
    padding: 0.3rem 1rem;
}
.slider-image__image {
    -o-object-fit: cover;
    object-fit: cover;
    border-radius: 0.2rem;

}
.product--slider {
    padding: 0.1rem;
    border-radius: 0.3rem;
}